org.eclipse.january.metadata

## Interface PeemMetadata

- All Superinterfaces:
    Cloneable, MetadataType, Serializable

      public interface PeemMetadata
      extends MetadataType

  This metadata describes Peem-related information

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getFieldOfView()`
    `double` | `getScaling()`
    `double[]` | `getXYMotorPosition()`
    `void` | `initialize(double[] xyPosition, double scaling, double fieldOfView)` Initialize PEEM metadata
    `void` | `setFieldOfView(double fieldOfView)` Sets fieldOfView value in microns
    `void` | `setScaling(double scaling)` Sets scaling micron/pixel
    `void` | `setXYMotorPosition(double[] xyMotorPosition)` Sets X/y motor position in microns

    - ### Methods inherited from interface org.eclipse.january.metadata.MetadataType

      `clone`

- - ### Method Detail

    - #### initialize

          void initialize(double[] xyPosition,
                          double scaling,
                          double fieldOfView)

      Initialize PEEM metadata
      Parameters:
        `xyPosition` - values of motor
        `scaling` - image resolution
        `fieldOfView` - size of image

    - #### getXYMotorPosition

          double[] getXYMotorPosition()

      Returns:
        X/y motor position in microns

    - #### getScaling

          double getScaling()

      Returns:
        scaling value micron/pixel

    - #### getFieldOfView

          double getFieldOfView()

      Returns:
        field of view value in microns

    - #### setXYMotorPosition

          void setXYMotorPosition(double[] xyMotorPosition)

      Sets X/y motor position in microns
      Parameters:
        `xyMotorPosition` - values of motor

    - #### setScaling

          void setScaling(double scaling)

      Sets scaling micron/pixel
      Parameters:
        `scaling` - image resolution

    - #### setFieldOfView

          void setFieldOfView(double fieldOfView)

      Sets fieldOfView value in microns
      Parameters:
        `fieldOfView` - size of image

Copyright © 2014–2022 Eclipse Foundation. All rights reserved.